Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.acewiki.gui.editor
Class NounForm

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.ContentPane
              ch.uzh.ifi.attempto.acewiki.gui.editor.FormPane
                  ch.uzh.ifi.attempto.acewiki.gui.editor.NounForm

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, nextapp.echo2.app.event.ActionListener, nextapp.echo2.app.Pane, nextapp.echo2.app.PaneContainer, nextapp.echo2.app.RenderIdSupport

    public class NounForm

extends FormPane

This class represents a form to create or modify nouns.

Author:
  Tobias Kuhn
See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.ContentPane
`PROPERTY_BACKGROUND_IMAGE, PROPERTY_HORIZONTAL_SCROLL, PROPERTY_INSETS, PROPERTY_VERTICAL_SCROLL`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`NounForm(NounConcept concept, int wordNumber, WindowPane window, Wiki wiki, nextapp.echo2.app.event.ActionListener actionListener)` Creates a new noun form.

Method Summary
`static WordEditorWindow` | `createCreatorWindow(int wordNumber, Wiki wiki, nextapp.echo2.app.event.ActionListener actionListener)` Creates a new creator window for nouns.
`static WordEditorWindow` | `createEditorWindow(NounConcept concept, Wiki wiki)` Creates a new editor window for nouns.
`protected void` | `save()` This method should try to save the word with the current properties and should show error messages if this is not successful.
`java.lang.String` | `toString()`

Methods inherited from class ch.uzh.ifi.attempto.acewiki.gui.editor.FormPane
`actionPerformed, addRow, finished, finished, getWiki, isValidString, normalize, setIconRow, showErrorMessage`

Methods inherited from class nextapp.echo2.app.ContentPane
`getBackgroundImage, getHorizontalScroll, getInsets, getVerticalScroll, isValidChild, isValidParent, processInput, setBackgroundImage, setHorizontalScroll, setInsets, setVerticalScroll`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isVisible, remove, remove, removeAll, removePropertyChangeListener, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setRenderId, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NounForm

    public NounForm(NounConcept concept,
                    int wordNumber,
                    WindowPane window,
                    Wiki wiki,
                    nextapp.echo2.app.event.ActionListener actionListener)

  Creates a new noun form.

  Parameters:
    `concept` - The concept that is represented by the noun.
    `wordNumber` - The word form id (only used if called from the sentence editor).
    `window` - The host window of the form.
    `wiki` - The wiki instance.
    `actionListener` -

Method Detail

### createCreatorWindow

    public static WordEditorWindow createCreatorWindow(int wordNumber,
                                                       Wiki wiki,
                                                       nextapp.echo2.app.event.ActionListener actionListener)

  Creates a new creator window for nouns.

  Parameters:
    `wordNumber` - The word form id (only used if called from the sentence editor).
    `wiki` - The wiki instance.
    `actionListener` - The actionlistener.
  Returns:
    The new creator window.

### createEditorWindow

    public static WordEditorWindow createEditorWindow(NounConcept concept,
                                                      Wiki wiki)

  Creates a new editor window for nouns.

  Parameters:
    `concept` - The concept that is represented by the noun that should be edited.
    `wiki` - The wiki instance.
  Returns:
    The new editor window.

### save

    protected void save()

  Description copied from class: `FormPane`
  This method should try to save the word with the current properties and should show error messages if this is not successful. In the case of success, one of the finished-methods has to be called.

  Specified by:
    `save` in class `FormPane`
  See Also:
    `FormPane.finished(OntologyElement)`, `FormPane.finished(OntologyElement, int)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)